# class Gem::SilentUI

`SilentUI` is a UI choice that is absolutely silent.

### Public Class Methods

new ()
Source

    # File lib/rubygems/user_interaction.rb, line 614
    def initialize
      io = NullIO.new
      super io, io, io, false
    end

The `SilentUI` has no arguments as it does not use any stream.

Calls superclass method `Gem::StreamUI::new`

### Public Instance Methods

close ()
Source

    # File lib/rubygems/user_interaction.rb, line 619
    def close
    end